<template>
  <v-container>
    <v-row class="mt-4 mb-4" align="center" justify="space-around">
      <v-btn depressed @click="snackbar.default = true">
        Snackbar Default
      </v-btn>
      <v-btn depressed color="primary" @click="snackbar.primary = true">
        Snackbar Primary
      </v-btn>
      <v-btn depressed color="error" @click="snackbar.error = true">
        Snackbar Error
      </v-btn>
    </v-row>

    <v-snackbar v-model="snackbar.default">
      This is Default Snackbar
    </v-snackbar>
    <v-snackbar v-model="snackbar.primary" color="bg__primary">
      This is Primary Snackbar
    </v-snackbar>
    <v-snackbar v-model="snackbar.error" color="bg__error">
      This is Error Snackbar
    </v-snackbar>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      snackbar: {
        default: false,
        primary: false,
        error: false
      }
    }
  }
}
</script>

<style></style>
